Page MenuHomePhabricator

On serialising, if a parameter alias is used Parsoid should use its main item's paramOrder
Closed, ResolvedPublic0 Story Points

Description

Currently, VE moves the parameters (aliases) to the end of the template, instead of putting them in the position specified for their main names.

The following examples were reported on ptwiki:

  1. https://pt.wikipedia.org/w/index.php?diff=47608267&oldid=40113187
  2. https://pt.wikipedia.org/w/index.php?diff=47610729&oldid=47603916
  3. https://pt.wikipedia.org/w/index.php?diff=47608846&oldid=47353079

Event Timeline

He7d3r created this task.Jan 5 2017, 11:24 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 5 2017, 11:24 PM
Epico added a subscriber: Epico.Mar 27 2017, 9:49 PM
Jdforrester-WMF renamed this task from VisualEditor should respect paramOrder for parameter aliases to On serialising, if a parameter alias is used Parsoid should use its main item's paramOrder.Apr 24 2017, 9:34 PM
Jdforrester-WMF triaged this task as Medium priority.
Jdforrester-WMF added a project: Parsoid.
Jdforrester-WMF set the point value for this task to 0.

Change 366571 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid@master] T154718: Aliases get the same sort order as paramOrder

https://gerrit.wikimedia.org/r/366571

Change 366571 merged by jenkins-bot:
[mediawiki/services/parsoid@master] T154718: Aliases get the same sort order as paramOrder

https://gerrit.wikimedia.org/r/366571

Arlolra closed this task as Resolved.Jul 20 2017, 4:39 PM
Arlolra claimed this task.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJul 20 2017, 4:39 PM